Package com.ngrok.definitions

# Class CertificateAuthorityList

java.lang.Object
com.ngrok.definitions.CertificateAuthorityList

All Implemented Interfaces:
  `Pageable`

public class CertificateAuthorityList extends Object implements Pageable
A class encapsulating the `CertificateAuthorityList` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateAuthorityList(List<CertificateAuthority> certificateAuthorities, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `CertificateAuthorityList`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `List<CertificateAuthority>`
  `getCertificateAuthorities()`
  the list of all certificate authorities on this account
  `Optional<URI>`
  `getNextPageUri()`
  URI of the next page, or null if there is no next page
  `URI`
  `getUri()`
  URI of the certificates authorities list API resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CertificateAuthorityList

    public CertificateAuthorityList(List<CertificateAuthority> certificateAuthorities, URI uri, Optional<URI> nextPageUri)
    Creates a new instance of `CertificateAuthorityList`.
    Parameters:
      `certificateAuthorities` - the list of all certificate authorities on this account
      `uri` - URI of the certificates authorities list API resource
      `nextPageUri` - URI of the next page, or null if there is no next page

- ## Method Details

  - ### getCertificateAuthorities

    public List<CertificateAuthority> getCertificateAuthorities()
    the list of all certificate authorities on this account
    Returns:
      the value of the property as a `List` of `CertificateAuthority`

  - ### getUri

    public URI getUri()
    URI of the certificates authorities list API resource
    Returns:
      the value of the property as a `URI`

  - ### getNextPageUri

    public Optional<URI> getNextPageUri()
    URI of the next page, or null if there is no next page
    Specified by:
      `getNextPageUri` in interface `Pageable`
    Returns:
      the value of the property as a `URI` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`